Subject: [PATCH] Revert "debugfs: ->d_parent is never NULL or negative"

From: [email-masked] (Al Viro)
Date: Thu, 6 Oct 2016 23:41:17 +0100

On Thu, Oct 06, 2016 at 11:37:29PM +0100, Al Viro wrote:

> If you ever get NULL in ->d_parent of struct dentry instance, you are
> practically certain to have a dangling pointer to memory that used to
> contain a struct dentry at some point but got freed and reused since then.

... which is what happens in your case, apparently.  ->stats is still
pointing to a dentry that had just been freed and its memory reused.